package searchitem;

import java.io.*;
import java.util.*;
import java.text.*;
/**----------------------------------------------------------------------------
 * HTMLLib
 *
 * author  batmanii
 * version 1.0 (2000/07/22)
 */
///////////////////////////////////////////////////////////////////////////////
class HTMLLib
{
    static int LINENUM=10;

    // Webserver IP 바꾸어 주세요
    static String SERVERURL="http://localhost:7001/";
    static String SERVLETURL = "http://localhost:7001/";
    // 이것들은 init파일에서 읽어 들여야 한다는걸 알고 있지만.. 귀찮다는 핑게로..(-_-)
    // 이렇게 직접써버렸습니다. 시간나는대로 property파일에 저장한 후 읽는 방향으로
    // 바꾸도록 하겠습니다.

    // getMakeLink메소드는 이런저런 사용할 곳이 많을것 같아 만들어 보았는데..
    static String getMakeLink(String url, String string)
    {
       	return "<a href="+url+">"+string+"</a>";
    }

    // 한글깨지지 말라고 encoding을 다시 합니다.
/*    static String ByteToKSC5601(String tmp)
    {
       	String result=null;

	try
	{
	    result =  new String(tmp.getBytes("8859_1"),"KSC5601");
	}
	catch(java.io.UnsupportedEncodingException e) {
              System.err.println(e.toString());
        }

	return result;
    }
*/
   // Date형의 날짜를 울나라 시간에 맞게.. 이쁘게 만들어 보여 주려고 정의한 메소드..
    static String getFormattedDate(Date date)
    {
       	String result;
        DateFormat df = DateFormat.getDateInstance(DateFormat.MEDIUM,Locale.KOREA);
     	  result = df.format(date);
     	  return result;
    }

    // 날짜와 시간까지 출력해 주는 메소드
    static String getFormattedDateTime(Date date)
    {
      	String result;
        DateFormat df = DateFormat.getDateTimeInstance(DateFormat.FULL,DateFormat.LONG, Locale.KOREA);
      	result = df.format(date);
      	return result;
    }

    // 이건 뭐 쓸대없는 거냐 하시겠지만.. 가끔 사용할 것 같음.. 그리고.. 폼나잖아요~
    static String getHTMLTitle(String title)
    {
       	return "<html>\n\n<head>\n\r<title>"+title+"</title>\n\r</head>";
    }
}
////////////////////////////  END  /////////////////////////////////////////////
